Index: Dev/trunk/src/client/index.html
===================================================================
--- Dev/trunk/src/client/index.html	(revision 515)
+++ Dev/trunk/src/client/index.html	(revision 519)
@@ -25,5 +25,5 @@
         <div id="content" class="page" data-dojo-type="dijit/layout/BorderContainer" data-dojo-props="region:'center'" style="width: 100%; height: 100%;">
             <div class="topbar" data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'top'">
-                <a href="#!/"><h1>QED</h1></a>
+                <a href="#!/"><h1>QED</h1></a><span id="qedModeNode"></span>
                 <div id="menu"></div>
             </div>
Index: Dev/trunk/src/client/qed-client/app/Router.js
===================================================================
--- Dev/trunk/src/client/qed-client/app/Router.js	(revision 515)
+++ Dev/trunk/src/client/qed-client/app/Router.js	(revision 519)
@@ -29,8 +29,9 @@
             this._handleHashChange(hash());
             window.onbeforeunload = function(evt) {
-                var msg = Content.isDirty() ? 
-                        "Unsaved changes, leave anyway?" :
-                        null;
-                evt.returnValue = msg;
+                var msg;
+                if ( Content.isDirty() ) { 
+                    msg = "Unsaved changes, leave anyway?";
+                    evt.returnValue = msg;
+                }
                 return msg;
             };
Index: Dev/trunk/src/client/qed-client/css/ui/topbar.less
===================================================================
--- Dev/trunk/src/client/qed-client/css/ui/topbar.less	(revision 515)
+++ Dev/trunk/src/client/qed-client/css/ui/topbar.less	(revision 519)
@@ -6,4 +6,9 @@
         float: left;
         clear: left;
+    }
+    
+    #qedModeNode {
+        float: left;
+        margin-top: 28px;
     }
     
Index: Dev/trunk/src/client/qed-client/index.js
===================================================================
--- Dev/trunk/src/client/qed-client/index.js	(revision 515)
+++ Dev/trunk/src/client/qed-client/index.js	(revision 519)
@@ -5,12 +5,24 @@
     "./ui/MainMenu",
     "dojo/_base/array",
+    "dojo/_base/xhr",
+    "dojo/dom",
     "dojo/parser",
     "./stddeps",
     "dojo/domReady!"
-], function(Router, routes, session, MainMenu, array, parser) {
+], function(Router, routes, session, MainMenu, array, xhr, dom, parser) {
 
     parser.parse();
 
     new MainMenu({},"menu").startup();
+
+    xhr("GET", {
+        url: 'api/mode',
+        handleAs: 'json'
+    }).then(function(result){
+        var node = dom.byId('qedModeNode');
+        if ( result.mode !== 'production' ) {
+            node.innerHTML = "Running in "+result.mode+" mode";
+        }
+    });
 
     array.forEach(routes,function(route){
Index: Dev/trunk/src/client/qed-client/pages/surveyRun.js
===================================================================
--- Dev/trunk/src/client/qed-client/pages/surveyRun.js	(revision 515)
+++ Dev/trunk/src/client/qed-client/pages/surveyRun.js	(revision 519)
@@ -47,17 +47,16 @@
             .then(lang.hitch(this,function(allResponses){
                 array.forEach(allResponses, function(response){
-                    var actions = {
-                        view: {
-                            callback: function(){},
+                    var actions = {};
+                    if ( !response.publicationDate ) {
+                        actions.Delete = {
+                            callback: function(){
+                                responses.remove(response)
+                                .then(function(){
+                                    w.destroy();
+                                });
+                            },
                             properties: {
-                                title: "View response"
-                            }
-                        }
-                    };
-                    if ( !response.publicationDate ) {
-                        actions.remove = {
-                            callback: function(){},
-                            properties: {
-                                title: "Remove response"
+                                icon: 'Delete',
+                                title: "Delete response"
                             }
                         };
